<div class="row mt-1" *ngIf="movie">
    <div class="col-4">
    	<img src="https://image.tmdb.org/t/p/w500/{{movie.poster_path}}" alt="" class="thumbnail w-100">
    	<p class="mt-1">
	      <a *ngIf="movie.homepage" href="{{movie.homepage}}" class="btn btn-info btn-block" target="_blank">Visit Movies Website</a>
	    </p>
    </div>
    <div class="col-8 pl-0">
    	<h2>
    		<strong>{{movie.title}}</strong>
    	</h2>
    	<h3>
    		<small class="label label-warning">
		        Rating : {{movie.vote_average}}
		        <i class="glyphicon glyphicon-star"></i>
		    </small>
    	</h3>
    	<h4>{{movie.tagline}}</h4>
    	<p>
    		<!--ambil dari objek movie-->
    		<a routerLink="/genres/{{genre.id}}/{{genre.name}}" *ngFor="let genre of movie.genres" class="badge badge-primary mr-1">
    			{{genre.name}}
    		</a>
    	</p>
    	<!--overview-->
    	<div class="card">
    		<div class="card-header">
    			Overview 
    		</div>
    		<div class="card-body">
    			{{movie.overview}}
    		</div>
    	</div>
    	<!--cast-->
    	<div class="card" *ngIf="cast && cast.length > 0">
    		<div class="card-header">
    			Cast
    		</div>
    		<div class="card-body">
    			<div class="row">
    				<div class="col-3" *ngFor="let actor of cast">
    					<div class="thumbnail">
    						<img src="https://image.tmdb.org/t/p/w500/{{actor.profile_path}}" class="w-100">
					        <div class="caption">
					            <h6 class="text-center"><a routerLink="/actor/{{actor.id}}">{{actor.name}}</a></h6>
					        </div>
    					</div>
    				</div>
    			</div>
    		</div>
    	</div>
    	<!--trailer-->
    	<div class="card" *ngIf="video">
    		<div class="card-header">
    			Trailer
    		</div>
    		<div class="card-body">
    			<h2>{{video.name}}</h2>
    			<div class="embed-responsive embed-responsive-16by9">
			      <iframe class="embed-responsive-item" [src]="video.url"></iframe>
			    </div>
    		</div>
    	</div>
    	<!--review -->
    	<div class="card" *ngIf="reviews && reviews.length > 0">
    		<div class="card-header">Review</div>
    		<div class="card-body">
    			<div class="col" *ngFor="let rev of reviews">
    				<blockquote>
    					<p class="text-justify">{{rev.content}}</p>
    					<footer>
    						<cite title="{{rev.author}}">
    							<a href="{{rev.url}}" target="_blank">{{rev.author}}</a>
    						</cite>
    					</footer>
    				</blockquote>
    			</div>
    		</div>
    	</div>
    	<!--similar mvoies -->
    	<div class="card" *ngIf="similarMovies && similarMovies.length > 0">
    		<div class="card-header">
    			Similar Movies
    		</div>
    		<div class="card-body">
    			<div class="row">
    				<div class="col-4 mt-1" *ngFor="let movie of similarMovies">
    					<div class="thumbnail">
    						<img class="w-100" src="https://image.tmdb.org/t/p/w300/{{movie.poster_path}}" *ngIf="movie.poster_path">
							<img class="w-100" src="assets/img/abstract-image.jpg" *ngIf="!movie.poster_path">
							<div>
								<h5>
									<a routerLink="/movie/{{movie.id}}" title="{{movie.title}}"><strong>{{movie.title}}</strong></a>
								</h5>
								<h5>
									<strong>Release Date: </strong>{{movie.release_date}}
								</h5>
								<p>
							      <a routerLink="/movie/{{movie.id}}" class="btn btn-primary p-2">View details &raquo;</a>
							      <!-- <small class="label label-success pull-right" *ngIf="movie.vote_average">
							        {{movie.vote_average}}
							        <i class="glyphicon glyphicon-star"></i>
							      </small> -->
							    </p>
							</div>
    					</div>
    				</div>
    			</div>
    		</div>
    	</div>
    </div>
</div>